package cz.muni.fi.lasaris.sbms.auth;

import java.util.Properties;

import javax.ws.rs.container.ContainerRequestContext;

public interface AuthProvider {

	void init(Properties props);
	
	boolean authenticate(String user, String password, ContainerRequestContext requestContext);

	boolean authorize(String user, String role, ContainerRequestContext requestContext);

}
